// mem_2Kx32.v; Simple example for PowerOpt.java

module mem_2Kx32(
		clk,
	      	RSTN,
	      	datain,
	      	dataout,
		writeen,
	      	addressin1,
	      	addressin2
		);

input  clk;
input  RSTN;
input  writeen;
input  [31 : 0] datain;
output [31 : 0] dataout;
input  [10 : 0] addressin1;
input  [10 : 0] addressin2;

wire  [31 : 0] datain_dummy;
wire [31 : 0] dataout_dummy;

assign datain_dummy = 0;
assign dataout_dummy = 0;

wire cst0;
assign cst0 = 0;

wire  clken;
assign clken = 1; // this could be another signal, not necessarily 1

dual_port_ram mem1( // .width(32) .depth(2048) .dp(simple1)
		.clk(clk),
		.addr1(addressin1),
		.addr2(addressin2),
		.data1(datain),
		.data2(datain_dummy),
		.we1(writeen),
		.we2(cst0),
 		.en(clken),
		.out1(dataout_dummy),
		.out2(dataout)
		);

endmodule
